---
title: KeyboardEvent.shiftKey
slug: Web/API/KeyboardEvent/shiftKey
tags:
  - API
  - DOM
  - KeyboardEvent
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("DOM Events")}}</div>

<p>The <strong><code>KeyboardEvent.shiftKey</code></strong> read-only property is a {{jsxref("Boolean")}} that indicates if the <kbd>shift</kbd> key was pressed (<code>true</code>) or not (<code>false</code>) when the event occurred.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>shiftKeyPressed</em> = <em>instanceOfKeyboardEvent</em>.shiftKey
</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("Boolean")}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">&lt;html&gt;
&lt;head&gt;
&lt;title&gt;shiftKey example&lt;/title&gt;

&lt;script type="text/javascript"&gt;

function showChar(e){
  alert(
    "Key Pressed: " + String.fromCharCode(e.charCode) + "\n"
    + "charCode: " + e.charCode + "\n"
    + "SHIFT key pressed: " + e.shiftKey + "\n"
    + "ALT key pressed: " + e.altKey + "\n"
  );
}

&lt;/script&gt;
&lt;/head&gt;

&lt;body onkeypress="showChar(event);"&gt;
&lt;p&gt;Press any character key, with or without holding down
 the SHIFT key.&lt;br /&gt;
You can also use the SHIFT key together with the ALT key.&lt;/p&gt;
&lt;/body&gt;
&lt;/html&gt;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Events','#widl-KeyboardEvent-shiftKey','KeyboardEvent.shiftKey')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.KeyboardEvent.shiftKey")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{ domxref("KeyboardEvent") }}</li>
</ul>
